Dear Colleagues,

I am pretty much a ruby newbie -- just wrote my first non-toy program.  I
am having a good time with it!

I have a fairly new Mandrake distribution(8.2).   Here is the contents of
/usr/lib/ruby/1.6/i586-linux-gnu:
curses.so  etc.so    gdk_imlib.so   gtk.so  rbconfig.rb  socket.so
digest     fcntl.so  gdk_pixbuf.so  nkf.so  readline.so  syslog.so
digest.so  gdbm.so   gnome.so       pty.so  sdbm.so

You will note that it does not contain tk.so.  I do have tk installed,
mostly in /usr/lib/tk8.3/, and e.g. 'wish' runs fine.

Is there someplace to get 'tk.so' for ruby?  I have googled, to no avail.
Or is it possible for someone to Attach their tk.so to an E-mail?  

The command "ruby --version" on my system yields
	ruby 1.6.6 (2001-12-26) [i586-linux-gnu]

Any help/suggestions much appreciated.  And the usual humble apologies
if this query should turn out to be a FAQ!

Best wishes,

Alan

-- 
Alan McConnell :  http://patriot.net/users/alan
    Just accept the fact that things are back to their natural order, with
    employers holding the whip hand.(Business Section, WashPost, 30 Jan 01)